Bug 50987 - [PATCH] Accessibilty - Incorrect parent tree for links
[PATCH] Accessibilty - Incorrect parent tree for links
Product: Fop - Now in Jira
Classification: Unclassified
Component: general
All All
: P2 normal
: ---
Assigned To: fop-dev
Depends on:
  Show dependency tree
Reported: 2011-03-28 11:42 UTC by Martin K
Modified: 2012-04-01 06:17 UTC (History)
0 users


Note You need to log in before you can comment on or make changes to this bug.
Description Martin K 2011-03-28 11:42:47 UTC
FOP puts in the parent tree for links the link itself instead of the related structure element.

diff --git a/src/java/org/apache/fop/render/pdf/PDFLogicalStructureHandler.java b/src/java/org/apache/fop/render/pdf/PDFLogicalStructureHandler.java
--- a/src/java/org/apache/fop/render/pdf/PDFLogicalStructureHandler.java
+++ b/src/java/org/apache/fop/render/pdf/PDFLogicalStructureHandler.java
@@ -314,7 +314,6 @@ class PDFLogicalStructureHandler {
     void addLinkContentItem(PDFLink link, String structurePointer) {
         int structParent = getNextParentTreeKey();
-        parentTree.getNums().put(structParent, link);
         PDFDictionary contentItem = new PDFDictionary();
         contentItem.put("Type", OBJR);
         contentItem.put("Pg", this.currentPage);
@@ -322,5 +321,6 @@ class PDFLogicalStructureHandler {
         PDFStructElem parent = (PDFStructElem) structTreeMap.get(structurePointer);
+        parentTree.getNums().put(structParent, parent);
Comment 1 Andreas L. Delmelle 2011-04-03 05:58:40 UTC
Fixed in r1088234.

Thanks for the patch!
Comment 2 Glenn Adams 2012-04-01 06:17:20 UTC
batch transition to closed; if someone wishes to restore one of these to resolved in order to perform a verification step, then feel free to do so